PDA

View Full Version : Problems using extGWT: Errors in jar file...



walsi
26 Apr 2008, 5:24 AM
Hi,

I included extGWT in my .gwt.xml-file:

<!-- Inherit the core Web Toolkit stuff. -->
<inherits name='com.extjs.gxt.ui.GXT'/>
<inherits name='com.google.gwt.user.User' />
<inherits name='com.google.gwt.http.HTTP' />

added the gxt.jar-file to the java build path and launch-configuration-classpath, but when I want to start my application, I get a lot of errors:

[ERROR] Line 134: The method setVisible(boolean) is undefined for the type TabItem
[ERROR] Line 135: The method setEnabled(boolean) is undefined for the type TabItem
[ERROR] Line 136: The method setVisible(boolean) is undefined for the type TabItem

as well as

[ERROR] Line 21: GWT does not yet support the Java 5.0 language enhancements; only 1.4 compatible source may be used

[ERROR] Errors in 'jar:file:/[...]/gxt.jar!/com/extjs/gxt/ui/client/Style.java'
[ERROR] Line 21: Syntax error, insert ";" to complete BlockStatements

and so on... what am I doing wrong?

Any help is really appreciated!

gslender
26 Apr 2008, 2:58 PM
ext-gwt 1.0 beta 1 needs GWT 1.5 M2 and to make matters worse, it was compiled against JDK 1.6 so it needs JRE 1.6 as well - compile bug will be fixed in beta 2

jlauer12
26 Apr 2008, 4:20 PM
Could somebody just post a build of the gwt-user.jar, gwt-servlet.jar, and gwt-dev-windows.jar that is release 1.5 Milestone 2? I'm having a hard time going and grabbing the source from Google from SVN and finding the right version, etc.

Fortunately i've got JRE 1.6 already.

Thanks

jlauer12
26 Apr 2008, 4:31 PM
Ahh, go to

http://code.google.com/p/google-web-toolkit/downloads/list?can=4&q=version:1.5

walsi
27 Apr 2008, 11:45 AM
Thank you very much...

Made a new project with the new GWT-Beta-version and am now compiling with Java 6 - everything works fine now, except my TabItems (but I'll open a separate thread...).

Guys - thank you very much!